commit:     671396dc55fe037631884c4d92ff99432916103f
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 11 15:02:05 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Thu Aug 11 15:02:23 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=671396dc

app-editors/tea: version bump

Package-Manager: portage-2.3.0

 app-editors/tea/Manifest          |  1 +
 app-editors/tea/tea-42.0.0.ebuild | 53 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-editors/tea/Manifest b/app-editors/tea/Manifest
index 2a0b5c1..776ecc9 100644
--- a/app-editors/tea/Manifest
+++ b/app-editors/tea/Manifest
@@ -1 +1,2 @@
 DIST tea-41.1.1.tar.bz2 382592 SHA256 
5f17a1f190c7a31f326273f5c987378f9fdbc3fc34a7d0a97529bc926492bef9 SHA512 
087325a80f86b27c20174849a8477d1d994176f560fc0bc353cfa6bfcfc1e916bac42607d94640cd1c2e1abd6385db7a836557a6ef2defae6de0901195fc7975
 WHIRLPOOL 
d1e48c2ba40d2978a06c2069927ba664b17f84039e96b349937ae5f159e32998a964fd86e8c89725bb36845aba541ba4eccfb91f939fb352b727e1cf2aa72548
+DIST tea-42.0.0.tar.bz2 383237 SHA256 
4981a361985677fceaa32d2911a95522ea715a362d05d9f61501063495321203 SHA512 
d5b746198ff1c02cb832db333b1ff0d141427b4dccbf2d3d3d0ee8722089a4c1ca0a70af7331b78f1a296f4201d25252a7f9f7040bbcd89b6bde09f2fe9a1b7d
 WHIRLPOOL 
2bb3c7863f362be8488683b260d3a9de76ecf7ec1a0b21417ce65d6cc83c57f629db530d71b5fbedc42043a110e76b47ccf20e20290ed191274d92ca61e934c4

diff --git a/app-editors/tea/tea-42.0.0.ebuild 
b/app-editors/tea/tea-42.0.0.ebuild
new file mode 100644
index 0000000..94cd85f
--- /dev/null
+++ b/app-editors/tea/tea-42.0.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils qmake-utils
+
+DESCRIPTION="Small, lightweight Qt text editor"
+HOMEPAGE="http://tea.ourproject.org/";
+SRC_URI="http://tea.ourproject.org/dloads/${P}.tar.bz2";
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE="aspell hunspell"
+
+RDEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtprintsupport:5
+       dev-qt/qtwidgets:5
+       sys-libs/zlib
+       aspell? ( app-text/aspell )
+       hunspell? ( app-text/hunspell:= )
+"
+DEPEND="${RDEPEND}
+       hunspell? ( virtual/pkgconfig )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS NEWS-RU TODO )
+
+src_configure() {
+       eqmake5 src.pro \
+               $(use aspell || echo CONFIG+=noaspell) \
+               $(use hunspell || echo CONFIG+=nohunspell)
+}
+
+src_install() {
+       dobin bin/tea
+
+       einstalldocs
+       docinto html
+       dodoc manuals/*.html
+
+       insinto /usr/share/qt5/translations
+       doins translations/${PN}_*.qm
+
+       newicon icons/tea-icon-v3-01.png ${PN}.png
+       make_desktop_entry ${PN} 'Tea Editor'
+}

Reply via email to